/*
  Blink By PushButton
  Turns on a blinking LED, when the PushButton is pressed.
  
  Some elements are from the Blink example by  the Arduino Team and some 
  elements are from the modified version of the Button example by Anna 
  Kaziunas France from last year.
  
  Modified By Jonathan Ohayon For FabAcademy 2014, Embedded 
  Programming Class.
  23 Mar 2014
 */
 
// Pin 7 has a LED connected on our board.
//Pin 3 has a PushButton connected on our board.
const int ledPin = 7;
const int buttonPin = 3;
const int x = random(12, 27);
const int y = random(1, 27);
const int randNum = random(10, 12);
const int randNum2 = random(2, 64);
int buttonState = 0;
int ledState = 1;
int millisStatus = x + y;

// the setup routine runs once when you press the upload button:
void setup() {                
  // initialize the LED pin as an output.
  pinMode(ledPin, OUTPUT);
  //initialize the PushButton pin as an input.
  pinMode(buttonPin, INPUT);  
}

// the loop routine runs when the PushButton is clicked:
void loop(){
  buttonState = digitalRead(buttonPin);
  //if statement for the PushButton and for the LED
  if (buttonState == LOW){
  //blinking LED:
  analogWrite(ledPin, randNum); //turns on the LED
 delayMicroseconds(millisStatus*10);
 analogWrite(ledPin, randNum2); //turns off the LED
 delayMicroseconds(millisStatus*10);
  }
 else(buttonState == HIGH);{
   //stopping the blinking LED when the PushButton isn't being pressed
   digitalWrite(ledPin, LOW);
 }  
}
